{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Window Echo Correction",
	"description": "Correction parameters for window glass echoes",
	"type": "object",
	"properties": {
		"amplitude": {
			"type": "object",
			"description": "Amplitude axis of correction table",
			"properties": {
				"minimum": {
					"type": "number",
					"description": "Minimum amplitude in dB",
					"minimum": 0.0
				},
				"maximum": {
					"type": "number",
					"description": "Maximum amplitude in dB",
					"minimum": 0.0
				},
				"entries": {
					"type": "integer",
					"description": "Number of amplitude entries",
					"minimum": 1
				}
			},
			"required": [
				"minimum",
				"maximum",
				"entries"
			]
		},
		"range": {
			"type": "object",
			"description": "Range axis of correction table",
			"properties": {
				"minimum": {
					"type": "number",
					"description": "Minimum range in m",
					"minimum": -2.0,
					"maximum": 2.0
				},
				"maximum": {
					"type": "number",
					"description": "Maximum range in m",
					"minimum": -2.0,
					"maximum": 2.0
				},
				"entries": {
					"type": "integer",
					"description": "Number of range entries",
					"minimum": 1
				}
			},
			"required": [
				"minimum",
				"maximum",
				"entries"
			]
		},
		"slices": {
			"type": "array",
			"items": {
				"type": "object",
				"description": "Window echo correction parameter slice",
				"properties": {
					"amplitude": {
						"type": "number",
						"description": "Window echo amplitude of slice in dB"
					},
					"table": {
						"type": "array",
						"description": "Correction table (dimension defined by the 'amplitude' and 'range' objects)",
						"items": {
							"type": "array",
							"description": "Table row (= amplitude axis)",
							"items": {
								"type": "array",
								"description": "Table column (= range axis)",
								"items": {
									"description": "Table cell (item 0: amplitude in dB, 1: range in m, 2: flags)",
									"type": "number"
								},
								"minItems": 3,
								"maxItems": 3
							},
							"minItems": 1
						},
						"minItems": 1
					}
				},
				"required": [
					"amplitude",
					"table"
				]
			}
		}
	},
	"required": [
		"amplitude",
		"range",
		"slices"
	]
}